Package org.linphone.core

# Enum Class KeySignAlgo

java.lang.Object
java.lang.Enum<KeySignAlgo>
org.linphone.core.KeySignAlgo

All Implemented Interfaces:
  `Serializable`, `Comparable<KeySignAlgo>`, `Constable`

public enum KeySignAlgo extends Enum<KeySignAlgo>
Enum describing type of signature algorithm used in (D)TLS handshake.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Ecdsa`
Signature scheme based on elliptic curve.
`RsaPkcs1V15`
Signature scheme used in TLS1.2.
`RsaPss`
Signature scheme used in TLS1.3.
`Undefined`
No signature algorithm defined.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static KeySignAlgo`
`fromInt(int value)`
`protected static KeySignAlgo[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(KeySignAlgo[] values)`
`static KeySignAlgo`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KeySignAlgo[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Undefined

public static final KeySignAlgo Undefined
No signature algorithm defined.

### RsaPss

public static final KeySignAlgo RsaPss
Signature scheme used in TLS1.3.

### RsaPkcs1V15

public static final KeySignAlgo RsaPkcs1V15
Signature scheme used in TLS1.2.

### Ecdsa

public static final KeySignAlgo Ecdsa
Signature scheme based on elliptic curve.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static KeySignAlgo[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static KeySignAlgo valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static KeySignAlgo fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static KeySignAlgo[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(KeySignAlgo[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()